Debian Bug report logs - #592659
freeze exception for deborphan

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Russ Allbery <rra@debian.org>

Date: Wed, 11 Aug 2010 20:09:02 UTC

Severity: normal

Tags: moreinfo

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592659; Package release.debian.org. (Wed, 11 Aug 2010 20:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 11 Aug 2010 20:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: freeze exception for deborphan
Date: Wed, 11 Aug 2010 13:04:49 -0700
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: freeze-exception

Hello everyone,

I hope no one minds me jumping in here.  I've been talking to Carsten
privately about the debhelper freeze exception and the subsequent
discussion, orphaning, and so forth.  I think everything went a little
too fast based on various assumptions about how other people would
react and therefore escalated more than was needed.  I'm writing this
message with a mediator hat on to see if I can explain what happened
and reopen the discussion about where we should go at this point.

I'd like to see if we can find a better solution that doesn't result in
the package being orphaned and which results in a supported deborphan
package in squeeze.

Carsten doesn't believe that the current version of deborphan is useful
to release with squeeze and has been working for some months on a new
version.  He's nearly done and thought he had a bit more time, so the
freeze caught him flat-footed (I'm sure you've heard this a lot) and
disrupted his existing plan for deborphan in squeeze.  The new version
is a fairly comprehensive change which, among other things, adds support
for multiarch so that deborphan would not wrongly detect and remove
packages when users upgrade to squeeze+1.  Carsten believes this support
is mandatory for a releasable deborphan (Bug #592068, which he originally
set to serious and which was downgraded by someone else).

Unfortunately, this nearly-completed rewrite is not a trivial change and
therefore isn't going to be an easily reviewable diff.  deborphan was
rearchitected in the process to be more maintainable going forward and to
make it easier to add the new features.  Highlights of the new release
are:

 * Improve detection of orphaned packages:
   - Add option to detect circular dependencies.
   - Add option to recursively check for orphans.
 * UI improvements in the dialog based deborphan frontend orphaner:
   - Display short description of highlighted package.
   - Display packages that are orphaned when only Suggests: are ignored, when
     Suggests: and Recommends: are ignored and when none of these are
     ignored in different colors to be able to distinguish them.
 * Multiarch support:
   - Strip :any dependencies.
   - Fail and thus prevent bad things from happening if an other
     dependency containing a colon is found.

His intention was to finish and upload this to unstable within the next
week or two and do extensive testing to ensure that it was of release
quality.

All of this work was explicitly targetted at squeeze.  There has been a
lot of discussion of removing sections for the next release, which would
require significant changes again to deborphan.  Uploading the new version
of deborphan and going through the testing work to ensure that it works
properly therefore doesn't seem worth it if the new version has no hope
of making it into squeeze.  That was the motive behind deciding to orphan
it instead of moving on with work that Carsten was concerned could not be
considered for the next release.

This would definitely be an unusual exception in that the new version
is not a minimal change.  If there's little or no hope that it would be
approved for squeeze, I don't think Carsten feels sufficient motivation
to invest the time into finishing it at this point.  If there is a good
chance that it would be considered for squeeze, I think that would change
the situation.

The request is, therefore, not for an advance freeze exception (since
I know you'll want to look at the package as uploaded), but for an
indication of whether such a new release has a reasonable chance of being
accepted if it is finished and thoroughly tested quickly.

My goal in this is to have a supported deborphan in squeeze, and ideally
to maintain the enthusiasm and interest of the existing maintainer.  Given
that there is a new release almost complete that the maintainer considers
supportable and has been working on explicitly targetting squeeze, and
given that deborphan is largely a leaf package and unlikely to cause
problems for any other package, would the release team be willing to
consider an unusual exception and review for this package?  I realize that
this is outside the bounds of what you would normally grant a release
exception for; I think it falls into the more unusual case of:

| For packages which missed the freeze only for reasons outside of the
| control of the maintainers, we might be generous, but you need to
| contact us on your own, and you need to contact us soon.

In this case, the freeze timing and the timing of Carsten's work missed
each other by an unfortunate two weeks.

If this were not a leaf package (and Debian-native, and fairly low-risk
for causing problems for any other packages), I would have a hard time
arguing that you should consider this, but given the situation, I think
this may warrant a special exception.

Thank you for your time and consideration!




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592659; Package release.debian.org. (Wed, 11 Aug 2010 21:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neilm@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 11 Aug 2010 21:24:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: Russ Allbery <rra@debian.org>, 592659@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#592659: freeze exception for deborphan
Date: Wed, 11 Aug 2010 22:21:50 +0100
On Wed, Aug 11, 2010 at 01:04:49PM -0700, Russ Allbery wrote:
> The request is, therefore, not for an advance freeze exception (since
> I know you'll want to look at the package as uploaded), but for an
> indication of whether such a new release has a reasonable chance of being
> accepted if it is finished and thoroughly tested quickly.
> 

This seems a reasonable approach, but I'd look to add an "age-days 30"
to the package. May I suggest that the work-in-progress is immediately
uploaded to experimental too?

Please re-ping when you've uploaded.

Neil
-- 
<dkscully> doesn't the world come to an end if iDunno shaves?
<Maulkin> That's how the dinosaurs died then...
<iDunno> and why the dodo was made extinct, the last known habitat for them
    was my beard... poor bastards didn't stand a chance.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592659; Package release.debian.org. (Wed, 11 Aug 2010 21:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neilm@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 11 Aug 2010 21:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592659; Package release.debian.org. (Thu, 12 Aug 2010 16:39:06 GMT) Full text and rfc822 format available.

Message #18 received at 592659@bugs.debian.org (full text, mbox):

From: Carsten Hey <carsten@debian.org>
To: Russ Allbery <rra@debian.org>, Neil McGovern <neilm@debian.org>, 592659@bugs.debian.org
Subject: Re: Bug#592659: freeze exception for deborphan
Date: Thu, 12 Aug 2010 18:34:45 +0200
* Neil McGovern [2010-08-11 22:21 +0100]:
> On Wed, Aug 11, 2010 at 01:04:49PM -0700, Russ Allbery wrote:
> > The request is, therefore, not for an advance freeze exception
> > (since I know you'll want to look at the package as uploaded), but
> > for an indication of whether such a new release has a reasonable
> > chance of being accepted if it is finished and thoroughly tested
> > quickly.
>
> This seems a reasonable approach, but I'd look to add an "age-days 30"
> to the package.

To let users even a bit more time to test whilst it is in Sid and also
get the chance to add translation updates without asking for a second
freeze exception I propose the following:

  * When I upload it to unstable I'll ask for translation updates and
    let translators 30 days time to send them to me.
  * 30 days (actually a day or two later to be able to accept
    translation updates that are sent very or even a bit too late) after
    deborphan 1.8.0 has been uploaded to unstable I'll ask for
    a permission to upload deborphan 1.8.1 to unstable.  Ideally 1.8.1
    would just add these translation updates to 1.8.0.  In case there
    are trivial bug fixes I'll also ask for permission to include them.
  * If everything works well you allow 1.8.1 to enter testing 40 days
    after 1.8.0 and accordingly 10 days after 1.8.1 has been uploaded to
    unstable :)

> May I suggest that the work-in-progress is immediately uploaded to
> experimental too?

I'll to this this weekend.

> Please re-ping when you've uploaded.

Will do so, for the experimental and for the unstable upload.


Thanks
Carsten




Added tag(s) moreinfo. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 25 Aug 2010 18:24:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592659; Package release.debian.org. (Sat, 04 Sep 2010 18:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 04 Sep 2010 18:36:06 GMT) Full text and rfc822 format available.

Message #25 received at 592659@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Russ Allbery <rra@debian.org>, Neil McGovern <neilm@debian.org>, Carsten Hey <carsten@debian.org>, 592659@bugs.debian.org
Subject: Re: Bug#592659: freeze exception for deborphan
Date: Sat, 4 Sep 2010 20:34:22 +0200
[Message part 1 (text/plain, inline)]
On Thu, Aug 12, 2010 at 18:34:45 +0200, Carsten Hey wrote:

> * Neil McGovern [2010-08-11 22:21 +0100]:
> > May I suggest that the work-in-progress is immediately uploaded to
> > experimental too?
> 
> I'll to this this weekend.
> 
> > Please re-ping when you've uploaded.
> 
> Will do so, for the experimental and for the unstable upload.
> 
Looks like this never happened?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592659; Package release.debian.org. (Sat, 04 Sep 2010 20:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carsten Hey <carsten@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 04 Sep 2010 20:00:03 GMT) Full text and rfc822 format available.

Message #30 received at 592659@bugs.debian.org (full text, mbox):

From: Carsten Hey <carsten@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Russ Allbery <rra@debian.org>, Neil McGovern <neilm@debian.org>, 592659@bugs.debian.org
Subject: Re: Bug#592659: freeze exception for deborphan
Date: Sat, 4 Sep 2010 21:57:25 +0200
* Julien Cristau [2010-09-04 20:34 +0200]:
> On Thu, Aug 12, 2010 at 18:34:45 +0200, Carsten Hey wrote:
>
> > * Neil McGovern [2010-08-11 22:21 +0100]:
> > > May I suggest that the work-in-progress is immediately uploaded to
> > > experimental too?
> >
> > I'll to this this weekend.

The shell scripts orphaner and editkeep had known quoting issues, in the
meantime they have been solved using \0 separated strings.  I did not
want to upload a package without proper quoting, even to experimental,
but I did not think about this when I wrote this mail.

> > > Please re-ping when you've uploaded.
> >
> > Will do so, for the experimental and for the unstable upload.
> >
> Looks like this never happened?

I planned (and still do) to upload the version I want to see in Squeeze
to experimental and unstable/delayed-3 tomorrow.

Regards
Carsten




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#592659; Package release.debian.org. (Sun, 26 Sep 2010 11:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 26 Sep 2010 11:00:03 GMT) Full text and rfc822 format available.

Message #35 received at 592659@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Carsten Hey <carsten@debian.org>, 592659@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, Russ Allbery <rra@debian.org>, Neil McGovern <neilm@debian.org>
Subject: Re: Bug#592659: freeze exception for deborphan
Date: Sun, 26 Sep 2010 11:58:08 +0100
On Sat, 2010-09-04 at 21:57 +0200, Carsten Hey wrote:
> * Julien Cristau [2010-09-04 20:34 +0200]:
> > On Thu, Aug 12, 2010 at 18:34:45 +0200, Carsten Hey wrote:
> >
> > > * Neil McGovern [2010-08-11 22:21 +0100]:
> > > > May I suggest that the work-in-progress is immediately uploaded to
> > > > experimental too?
[...]
> > > > Please re-ping when you've uploaded.
> > >
> > > Will do so, for the experimental and for the unstable upload.
> > >
> > Looks like this never happened?
> 
> I planned (and still do) to upload the version I want to see in Squeeze
> to experimental and unstable/delayed-3 tomorrow.

Any news on that?

Regards,

Adam





Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Tue, 02 Nov 2010 17:09:03 GMT) Full text and rfc822 format available.

Notification sent to Russ Allbery <rra@debian.org>:
Bug acknowledged by developer. (Tue, 02 Nov 2010 17:09:04 GMT) Full text and rfc822 format available.

Message #40 received at 592659-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 592659-done@bugs.debian.org
Cc: Carsten Hey <carsten@debian.org>, Russ Allbery <rra@debian.org>, Neil McGovern <neilm@debian.org>
Subject: Re: Bug#592659: freeze exception for deborphan
Date: Tue, 2 Nov 2010 18:06:10 +0100
[Message part 1 (text/plain, inline)]
On Sun, Sep 26, 2010 at 11:58:08 +0100, Adam D. Barratt wrote:

> On Sat, 2010-09-04 at 21:57 +0200, Carsten Hey wrote:
> > I planned (and still do) to upload the version I want to see in Squeeze
> > to experimental and unstable/delayed-3 tomorrow.
> 
> Any news on that?
> 
Still nothing almost two months later, this isn't happening, so closing.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 01 Dec 2010 07:34:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:09:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.